List the batches of a cell specification
curl --request GET \
--url https://api.ionworks.com/cell_specifications/{cell_spec_id}/cell_batchesimport requests
url = "https://api.ionworks.com/cell_specifications/{cell_spec_id}/cell_batches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/cell_specifications/{cell_spec_id}/cell_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"cell_specification_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"date_manufactured": "2023-12-25",
"properties": {},
"created_by": "<string>",
"instance_count": 0
}
],
"count": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cell Specifications
List the batches of a cell specification
List a specification’s batches, each with its instance_count.
Parameters
cell_spec_id : str
Specification whose batches to list.
limit : int, optional
Page size, 1–1000. Defaults to 100.
offset : int, optional
Number of records to skip.
order_by : , optional
Column to sort by. Defaults to created_at.
order : , optional
Sort direction. Defaults to desc.
Returns
CellBatchListResponse Page of batches plus the total number matching the filters.
List the batches of a cell specification
Path Parameters
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Name filter, e.g. ilike.%2026% for a partial match
Available options:
name, date_manufactured, created_at, updated_at Available options:
asc, desc Was this page helpful?